Bug 949157 - [PATCH] fix use-after-free in sasl code
Summary: [PATCH] fix use-after-free in sasl code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ldapvi
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-06 12:20 UTC by Enrico Scholz
Modified: 2018-04-11 08:59 UTC (History)
2 users (show)

Fixed In Version: ldapvi-1.7-17.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-21 08:36:05 UTC
Type: Bug


Attachments (Terms of Use)
fixes a use-after-free bug (1.43 KB, patch)
2013-04-06 12:20 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2013-04-06 12:20:24 UTC
Created attachment 732118 [details]
fixes a use-after-free bug

Description of problem:

see attachment; I tried to report it upstream but mails were bounced.

Comment 1 Matěj Cepl 2013-04-06 13:12:19 UTC
I am not sure you know about the ldapvi email list. I have managed to sent there your patch easily ... http://lists.askja.de/pipermail/ldapvi/2013-April/000114.html

Let's see whether upstream takes the patch. If yes, I would create a new release of the package.

Comment 2 Fedora Update System 2013-09-11 21:55:20 UTC
ldapvi-1.7-17.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ldapvi-1.7-17.fc18

Comment 3 Fedora Update System 2013-09-11 21:56:14 UTC
ldapvi-1.7-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ldapvi-1.7-17.fc19

Comment 4 Fedora Update System 2013-09-11 21:57:00 UTC
ldapvi-1.7-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ldapvi-1.7-17.fc20

Comment 5 Fedora Update System 2013-09-11 21:57:29 UTC
ldapvi-1.7-17.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ldapvi-1.7-17.el5

Comment 6 Fedora Update System 2013-09-11 21:57:59 UTC
ldapvi-1.7-17.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ldapvi-1.7-17.el6

Comment 7 Matěj Cepl 2013-09-11 21:59:18 UTC
I am not sure what happened upstream, but the patch has not been noticed yet. So I have resent it http://lists.askja.de/pipermail/ldapvi/2013-September/000116.html and added also a fix for the old FSF address.

Comment 8 Fedora Update System 2013-09-12 16:27:50 UTC
Package ldapvi-1.7-17.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ldapvi-1.7-17.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16520/ldapvi-1.7-17.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-09-21 08:36:05 UTC
ldapvi-1.7-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-09-21 08:37:59 UTC
ldapvi-1.7-17.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-09-23 00:32:32 UTC
ldapvi-1.7-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-09-27 00:31:13 UTC
ldapvi-1.7-17.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-09-27 00:31:38 UTC
ldapvi-1.7-17.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.